Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy
Class ObjectBrowser

    java.lang.Object
      |
      +--org.netbeans.jemmy.ObjectBrowser

All Implemented Interfaces:
  Outputable

public class ObjectBrowser
extends java.lang.Object
implements Outputable

Class to display information about object: fields, methods, ancestors and so on.

Author:
  Alexandre Iline (alexandre.iline@sun.com)

Constructor Summary
`ObjectBrowser()` Constructor.

Method Summary
`java.lang.Object` | `getObject()` Returns the object value.
`TestOut` | `getOutput()` Returns print output streams or writers.
`void` | `printClasses()` Prints allsuperclasses names.
`void` | `printFields()` Prints object fields names and values.
`void` | `printFull()` Prints everything.
`void` | `printMethods()` Prints object methods names and parameters.
`void` | `printToString()` Prints `toString()` information.
`void` | `setObject(java.lang.Object obj)` Specifies the object value.
`void` | `setOutput(TestOut out)` Defines print output streams or writers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectBrowser

    public ObjectBrowser()

  Constructor.

Method Detail

### setOutput

    public void setOutput(TestOut out)

  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable`, `TestOut`, `getOutput()`

### getOutput

    public TestOut getOutput()

  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable`, `TestOut`, `setOutput(org.netbeans.jemmy.TestOut)`

### setObject

    public void setObject(java.lang.Object obj)

  Specifies the object value.
  Parameters:
    `obj` - Object to work with.
  See Also:
    `getObject()`

### getObject

    public java.lang.Object getObject()

  Returns the object value.
  Returns:
    Current object.
  See Also:
    `setObject(java.lang.Object)`

### printToString

    public void printToString()

  Prints `toString()` information.

### printFields

    public void printFields()

  Prints object fields names and values.

### printMethods

    public void printMethods()

  Prints object methods names and parameters.

### printClasses

    public void printClasses()

  Prints allsuperclasses names.

### printFull

    public void printFull()

  Prints everything.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD